Monitors

Monitors allow Secoda admins to have insight into the health of the data stack. Learn more about monitors herearrow-up-right.

List Monitors

get
/api/v1/monitor/monitors

This endpoint allows you to retrieve a list of all the monitors in your workspace.

Authorizations
Responses
get
/api/v1/monitor/monitors

Create a Monitor

post
/api/v1/monitor/monitors

This endpoint allows you to create a monitor in your workspace.

Authorizations
Body
targetstring · uuidOptional

The UUID of the column or table to be monitored.

Example: 49de2499-72f8-4a7d-96d6-73cf4fb345fa
metric_typestring · enumOptional

Type of metric to monitor, e.g., percentage of null values.

Example: null_percentagePossible values:
is_enabledbooleanOptional

Flag to enable or disable the monitor.

Example: true
condition_auto_sensitivityintegerOptional

Auto sensitivity level for learning thresholds. Set to 5 if using the auto threshold, otherwise set to null if manual thresholds are used.

Example: 5
condition_manual_minnumberOptional

Manually set minimum threshold value, applicable only if auto sensitivity is null.

condition_manual_maxnumberOptional

Manually set maximum threshold value, applicable only if auto sensitivity is null.

notify_slack_channelstringOptional

The Slack channel ID where monitor incident notifications will be sent. To find a channel ID, right-click the channel in Slack, select "View channel details", and copy the Channel ID from the bottom of the popup. The channel must be joined by the Secoda Slack app.

Example: C01KNKA6J9G
Responses
chevron-right
201

Created

application/json
idstringOptional

The unique identifier of the monitor.

Example: 886337a0-f298-4259-84dc-710879c826de
created_atstringOptional

The timestamp when the monitor was created.

Example: 2023-10-12T14:59:58.781935Z
updated_atstringOptional

The timestamp when the data was last updated.

Example: 2023-10-12T15:06:19.251573Z
integrationstringOptional

The identifier of the integration associated with the resource.

Example: 337c5803-b484-4128-a24d-dcc55dee2ea2
targetstringOptional

The identifier of the resource that the monitor is watching.

Example: 11db7782-4030-4acf-93e4-85aff3b860a1
workspacestringOptional

The identifier of the workspace.

Example: e051db43-cda6-42dc-8a69-12d1aefc3a91
metric_typestring · enumOptional

The type of metric.

Example: null_percentagePossible values:
metric_configstringOptional

Configuration for the metric.

frequencyintegerOptional

The frequency with which this monitor is run.

Example: 24
namestringOptional

The full name of the monitor, includes the metric type and target resource.

Example: Null percentage in amount
is_enabledbooleanOptional

Whether the monitor is enabled.

Example: true
last_attempted_atstringOptional

The timestamp of the last attempted monitor.

Example: 2023-10-12T15:03:40.693728Z
last_success_atstring · date-timeOptional

The timestamp of the last check on Secoda's access and ability to read the data source on which this monitor is set. This is connctivity check - not a data quality check.

Example: 2023-09-29T17:46:22.552345Z
last_error_atstringOptional

The timestamp of the last error, if any.

last_error_messagestringOptional

The message associated with the last error, if any.

condition_auto_sensitivityintegerOptional

The automatic sensitivity condition.

Example: 5
condition_manual_minintegerOptional

The manual minimum condition if set by the user.

condition_manual_maxintegerOptional

The manual maximum condition if set by the user.

statusstring · enumOptional

The status of the monitor.

Example: incidentPossible values:
last_measurement_valuenumberOptional

The last measured value if one is available.

Example: 1234.56
last_incidentstringOptional

The UUID of the last active incident. If there are no active incidents (if the last incident has been closed), the field is set to null.

Example: 102ac399-6e3a-42dd-a710-dbbb6b2addbe
last_measurementstringOptional

The identifier of the last measurement.

Example: 5d6ad413-5f74-41d6-b2f5-870b6f04de5c
next_run_atstringOptional

The timestamp for the next run. Note, the run may occur shortly after the time set, but never before.

Example: 2023-10-13T15:03:40.693728Z
post
/api/v1/monitor/monitors

Get Monitor

get
/api/v1/monitor/monitors/{monitor_id}

This endpoint allows you to retrieve a monitors by it's ID. You can find the ID in the URL of the monitor when accessing it from the Secoda UI.

Authorizations
Path parameters
monitor_idstringRequired

The unique identifier of the monitor

Example: 871fc00d-828b-4348-9353-c635313ee459
Responses
get
/api/v1/monitor/monitors/{monitor_id}

List Incidents

get
/api/v1/monitor/incidents

This endpoint allows you to retrieve a list of all the incidents in your workspace.

Authorizations
Responses
get
/api/v1/monitor/incidents

Get Incident

get
/api/v1/monitor/incident/{incident_id}

This endpoint allows you to retrieve an incident by it's ID.

Authorizations
Path parameters
incident_idstringRequired

The unique identifier of the incident

Example: 871fc00d-828b-4348-9353-c635313ee459
Responses
get
/api/v1/monitor/incident/{incident_id}

List Measurements

get
/api/v1/monitor/measurements

This endpoint allows you to retrieve a list of all the measurements in your workspace filtered by a Monitor or Incident. A query param of either the Monitor ID or Incident ID is required.

If using monitoring in automatic mode, thresholds will take some time to populate as the system learnins the appropriate range for your data.

Authorizations
Query parameters
monitorstringOptional

The unique identifier of the monitor

Example: 871fc00d-828b-4348-9353-c635313ee459
incident_idstringOptional

The unique identifier of the incident

Example: 40b3e4d3-3bf8-4ec4-ae87-56d1e738ca76
Responses
get
/api/v1/monitor/measurements

Run Monitors

post
/api/v1/monitor/monitors/run

This endpoint allows you to trigger one or more monitors to run immediately through the API. A background job is created to process the monitors.

Authorizations
Body
monitorsstring · uuid[]Optional

A list of UUIDs for the monitors to run.

Example: ["49de2499-72f8-4a7d-96d6-73cf4fb345fa","871fc00d-828b-4348-9353-c635313ee459"]
Responses
post
/api/v1/monitor/monitors/run

Last updated

Was this helpful?